Package org.drinkless.tdlib

# Class TdApi.TextEntityType

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TextEntityType

Direct Known Subclasses:
  `TdApi.TextEntityTypeBankCardNumber`, `TdApi.TextEntityTypeBlockQuote`, `TdApi.TextEntityTypeBold`, `TdApi.TextEntityTypeBotCommand`, `TdApi.TextEntityTypeCashtag`, `TdApi.TextEntityTypeCode`, `TdApi.TextEntityTypeCustomEmoji`, `TdApi.TextEntityTypeDateTime`, `TdApi.TextEntityTypeEmailAddress`, `TdApi.TextEntityTypeExpandableBlockQuote`, `TdApi.TextEntityTypeHashtag`, `TdApi.TextEntityTypeItalic`, `TdApi.TextEntityTypeMediaTimestamp`, `TdApi.TextEntityTypeMention`, `TdApi.TextEntityTypeMentionName`, `TdApi.TextEntityTypePhoneNumber`, `TdApi.TextEntityTypePre`, `TdApi.TextEntityTypePreCode`, `TdApi.TextEntityTypeSpoiler`, `TdApi.TextEntityTypeStrikethrough`, `TdApi.TextEntityTypeTextUrl`, `TdApi.TextEntityTypeUnderline`, `TdApi.TextEntityTypeUrl`

Enclosing class:
  `TdApi`

public abstract static class TdApi.TextEntityType extends TdApi.Object
This class is an abstract base class. Represents a part of the text which must be formatted differently.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `TdApi.TextEntityType.Constructors`
  Describes possible values returned by getConstructor().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextEntityType()`
  Default class constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextEntityType

    public TextEntityType()
    Default class constructor.

- ## Method Details

  - ### getConstructor

    public abstract int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      identifier uniquely determining type of the object.